/**
 * Copyright (C) 2009 Jasig, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.openregistry.core.repository.jpa;

import org.openregistry.core.domain.sor.SoRSpecification;
import org.openregistry.core.domain.sor.SystemOfRecord;
import org.openregistry.core.repository.SystemOfRecordRepository;

import javax.inject.Named;
import java.util.Collection;
import java.util.Map;

/**
 * @author Scott Battaglia
 * @version $Revision$ $Date$
 * @since 0.1
 */
@Named("systemOfRecordRepository")
public final class JpaSystemOfRecordRepositoryImpl implements SystemOfRecordRepository {

    public SoRSpecification findSoRSpecificationById(final String sorSourceId) {
        return new SoRSpecification() {
            public String getSoR() {
                return "foo";
            }

            public boolean isAllowedValueForProperty(String property, String value) {
                return true;
            }

            public boolean isRequiredProperty(String property) {
                return false;
            }

            public boolean isWithinRequiredSize(String property, Collection collection) {
                return true;
            }

            public boolean isInboundInterfaceAllowed(SystemOfRecord.Interfaces interfaces) {
                return true;
            }

            public Map<SystemOfRecord.Interfaces, String> getNotificationSchemesByInterface() {
                return null;  //To change body of implemented methods use File | Settings | File Templates.
            }

            public boolean isDisallowedProperty(String property) {
                return false;  //To change body of implemented methods use File | Settings | File Templates.
            }
        };
    }
}
